//---------------------------------------------------------------------------
// Trubetskoy Alex, January, 2004
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "UnitAbout.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TmainForm *mainForm;
//---------------------------------------------------------------------------
__fastcall TmainForm::TmainForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TmainForm::btnSaveClick(TObject *Sender)
{
    if(editX->Text.IsEmpty() || editY->Text.IsEmpty() ||
       editW->Text.IsEmpty() || editH->Text.IsEmpty() ) {
           ShowMessage("You must introduce all parameters");
    }
    else
    if(savePictureDlg->Execute()) {
       //   ,     
       //
       this->Visible = false;
       
       int x = StrToInt(editX->Text);
       int y = StrToInt(editY->Text);
       int w = StrToInt(editW->Text);
       int h = StrToInt(editH->Text);

       TRect destRect(0, 0, w, h), sourceRect(x, y, x+w, y+h);
       TCanvas *tempCanvas = new TCanvas();

       //  GetDC() -  .   
       //NULL,      Windows
       //(  explorer)
       tempCanvas->Handle = GetDC(NULL);

       TImage *image2save = new TImage(mainForm);
       image2save->Width = w;
       image2save->Height = h;
       image2save->Canvas->CopyRect(destRect, tempCanvas, sourceRect);
       image2save->Picture->SaveToFile(savePictureDlg->FileName);
       //   
       this->Visible = true;
    }
}
//---------------------------------------------------------------------------
void __fastcall TmainForm::FormCreate(TObject *Sender)
{
    //    
    HDC hdcD = CreateDC("DISPLAY", NULL, NULL, NULL);
    int screenWidth = GetDeviceCaps(hdcD, HORZRES);
    int screenHeight = GetDeviceCaps(hdcD, VERTRES);
    lbScreenW->Caption = AnsiString(screenWidth);
    lbScreenH->Caption = AnsiString(screenHeight);
    DeleteDC(hdcD);
}
//---------------------------------------------------------------------------

void __fastcall TmainForm::miAboutClick(TObject *Sender)
{
    aboutBox->ShowModal();
}
//---------------------------------------------------------------------------


void __fastcall TmainForm::miExitClick(TObject *Sender)
{
    Close();        
}
//---------------------------------------------------------------------------

